<?php
/**
 * @filesource: bar_simple.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

use phpRGraph\{rgraph_chart, rgraph_options};

// rgraph chart
$template = "default.php";
$id = "cvs";
$chart_type = "Bar";
$draw_option = "draw()";
$width = "500";
$height = "350";
$data = array( 400,500,800,300,500,600,700 );
$labels = array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');

$chart = new rgraph_chart("cvs", $data, "Bar");
$options = new rgraph_options("default.ini");

$options->set_option("title", "A simple Bar Chart with average line");
$options->set_option("xaxisLabels", $labels);
$options->set_tooltip_formatted($data, "#label# <br > #val#");
$options->set_option("xaxisLabelsAngle", 20);
$options->set_option("variant","glass");
$options->set_option("horizontalLines", array( array(
                        'value' => 'average',
                        'labelPosition' => 'center',
                        'labelSize' => 8,
                        'color' => '*555' )));
//$options->set_option("corners","square");
$draw_option .= $options->getResponsiveFunction(array(0.4,990,1200,$width,$height));

$chart->set_options($options);
$rgraph_json = $chart->toPrettyString();

$event_script = "";
$chart_script = "";

$canvas_style="z-index: 0;";

include_once ($templates . $template);
?>



