<?php
/**
 * @filesource", hbar_progressive.php
 * @author",     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright",  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license",    GNU/GPL
 * @version",    0.1
 * @abstract",   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$width = "500";
$height = "150";
$draw_option = "grow();";
$data = array( 70 );

$chart = new rgraph_chart("cvs", $data, "HBar");
$options = new rgraph_options();
$options->set_option("title", "Progressive Chart using the 3D HBar chart");
$options->set_option("colors", array("Gradient(#fcc:red:red)"));
//$options->set_option("colors", array("Gradient(#00BFFF7f:#00BFFFb2:#00BFFFe5:#00BFFF11)"));
$options->set_option("variant", "3d");
$options->set_option("noaxes", true);
$options->set_option("xaxisScaleMax", 100);
$options->set_option("marginTop", 40);
$options->set_option("marginBottom", 80);
$options->set_option("yaxisLabels", array("% Complete"));
$options->set_option("textAccessible", false);
$options->set_option("xaxisScaleUnitsPost", "%");

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



