<?php
/**
 * @filesource: hbar_simple.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$width = "500";
$height = "350";
$draw_option = "grow();";
$data = array( 40,50,80,30,50,60,70 );

$chart = new rgraph_chart("cvs", $data, "HBar");
$options = new rgraph_options();
$options->set_option("title", "A Simple Horizontal Bar Chart");
$options->set_option("yaxisLabels", array('Monday  ','Tuesday  ','Wednesday  ','Thursday  ','Friday  ','Saturday  ','Sunday  '));
$options->set_option("marginLeftAutosize", true);
$options->set_option("xaxisScaleMax", 90);
$options->set_option("textAccessible", 0);
$chart->set_options($options);

$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



