<?php
/**
 * @filesource: meter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
// rgraph chart
$template = "demo_meter.php";
$ini_file = $ini_dir . "meter.ini";
$id = "cvs";
$draw_option = "draw();";
$width = "350";
$height = "250";
$host = $_SERVER['SERVER_NAME'];
if ($host == "localhost")
{
  $max = 300;
  $greenstart = 500;
  $yellowstart = 200;
  $yellowend = 500;
  $redend = 200;
}
else
{
  $max = 100;
  $greenstart = 16;
  $yellowstart = 4;
  $yellowend = 16;
  $redend = 4;
}

$chart = new rgraph_chart("cvs", null, "Meter");
$chart->set_min(0);
$chart->set_max($max);
$chart->set_value(0);

$options = new rgraph_options($ini_file);
$options->set_option("title", "Your Download Speed");
$options->set_option("labelsValueTextUnitsPost", " Mbps");
$options->set_option("greenStart", $greenstart);
$options->set_option("yellowStart", $yellowstart);
$options->set_option("yellowEnd", $yellowend);
$options->set_option("redEnd", $redend);

$chart->set_options($options);
$rgraph_json = $chart->toPrettyString();

$event_script = "window.addEventListener('message', function (e)
        {
            // The data/message that is returned from the worker is a string - so
            // it must be converted to a number
            var value = (Number(e.data));
            chart.value = value;
            chart.grow();

        }, false);";
$chart_script = "";

include_once ($templates . $template);
?>



